/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

package de.kugihan.dictionaryformids.translation;
import de.kugihan.dictionaryformids.general.Util;

public class NormationFil extends Normation {

	public StringBuffer normateWord(StringBuffer nonNormatedWord) {
		StringBuffer lowerCaseWord = Util.convertToLowerCase(nonNormatedWord);
		StringBuffer normatedWord = new StringBuffer();
		for (int charPos = 0; charPos < lowerCaseWord.length(); ++charPos) {
			if (lowerCaseWord.charAt(charPos) == 'b') {
				normatedWord.append("v");
			}
			else if (lowerCaseWord.charAt(charPos) == 'i') {
				normatedWord.append("e");
			}
			else if (lowerCaseWord.charAt(charPos) == 'o') {
				normatedWord.append("u");
			}
			else if (lowerCaseWord.charAt(charPos) == 'f') {
				normatedWord.append("p");
			}
			else {
				normatedWord.append(lowerCaseWord.charAt(charPos));
			}
		}
		return normatedWord;
	}
}
