/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

package de.kugihan.dictionaryformids.translation;
import de.kugihan.dictionaryformids.general.Util;

public class NormationGer extends Normation {

	public StringBuffer normateWord(StringBuffer nonNormatedWord) {
		StringBuffer lowerCaseWord = Util.convertToLowerCase(nonNormatedWord);
		StringBuffer normatedWord = new StringBuffer();
		for (int charPos = 0; charPos < lowerCaseWord.length(); ++charPos) {
			if (lowerCaseWord.charAt(charPos) == 'ä') {
				normatedWord.append("ae");
			}
			else if (lowerCaseWord.charAt(charPos) == 'ö') {
				normatedWord.append("oe");
			}
			else if (lowerCaseWord.charAt(charPos) == 'ü') {
				normatedWord.append("ue");
			}
			else if (lowerCaseWord.charAt(charPos) == 'ß') {
				normatedWord.append("ss");
			}
			else {
				normatedWord.append(lowerCaseWord.charAt(charPos));
			}
		}
		return normatedWord;
	}


}
