/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

package de.kugihan.dictionaryformids.dataaccess;
import java.io.InputStream;

import de.kugihan.dictionaryformids.general.DictionaryException;

public class ResourceCsvFile extends CsvFile {

	public ResourceCsvFile(String  fileName,
						   char    separatorCharacter,
						   String  charEncoding,
						   int     maxSizeOfFileData) throws DictionaryException {
		super(fileName, separatorCharacter, charEncoding, maxSizeOfFileData);
	}

	public ResourceCsvFile(String  fileName,
						   char    separatorCharacter,
						   String  charEncoding,
						   int     maxSizeOfFileData,
						   int     startPosition) throws DictionaryException {
		super(fileName, separatorCharacter, charEncoding, maxSizeOfFileData, startPosition);
	}

	
	public InputStream getInputStream(String fileName) {
		return getClass().getResourceAsStream(fileName);			
	}


}
