package de.kugihan.dictionaryformids.hmi_j2me;

public class DictionarySettings
{
	private static int selectedInputLanguage;
	private static boolean[] selectedOutputLanguage;
	private static boolean selectedStatistic;
	private static boolean incrementalSearchDisabled;
	private static int maxHits = 30;   // currently not set from this dialog
	private static int durationForCancelSearch = 60*1000;  // in milliseconds // currently not set from this dialog
	private static int selectedFontSize;
	private static boolean microedition = true;
	private static boolean cldc11 = false;
	
	public static boolean isMicroedition()
	{
		return microedition;
	}
	public static void setMicroedition(boolean microedition)
	{
		DictionarySettings.microedition = microedition;
	}
	public static int getDurationForCancelSearch()
	{
		return durationForCancelSearch;
	}
	public static void setDurationForCancelSearch(int durationForCancelSearch)
	{
		DictionarySettings.durationForCancelSearch = durationForCancelSearch;
	}
	public static boolean isIncrementalSearchDisabled()
	{
		return incrementalSearchDisabled;
	}
	public static void setIncrementalSearchDisabled(boolean incrementalSearchDisabled)
	{
		DictionarySettings.incrementalSearchDisabled = incrementalSearchDisabled;
	}
	public static int getMaxHits()
	{
		return maxHits;
	}
	public static void setMaxHits(int maxHits)
	{
		DictionarySettings.maxHits = maxHits;
	}
	public static int getSelectedFontSize()
	{
		return selectedFontSize;
	}
	public static void setSelectedFontSize(int selectedFontSize)
	{
		DictionarySettings.selectedFontSize = selectedFontSize;
	}
	public static int getSelectedInputLanguage()
	{
		return selectedInputLanguage;
	}
	public static void setSelectedInputLanguage(int selectedInputLanguage)
	{
		DictionarySettings.selectedInputLanguage = selectedInputLanguage;
	}
	public static boolean[] getSelectedOutputLanguage()
	{
		return selectedOutputLanguage;
	}
	public static boolean getSelectedOutputLanguage(int value)
	{
		return selectedOutputLanguage[value];
	}
	public static void setSelectedOutputLanguage(boolean[] selectedOutputLanguage)
	{
		DictionarySettings.selectedOutputLanguage = selectedOutputLanguage;
	}
	public static boolean isSelectedStatistic()
	{
		return selectedStatistic;
	}
	public static void setSelectedStatistic(boolean selectedStatistic)
	{
		DictionarySettings.selectedStatistic = selectedStatistic;
	}
	public static boolean isCldc11() {
		return cldc11;
	}
	public static void setCldc11(boolean cldc11) {
		DictionarySettings.cldc11 = cldc11;
	}
}
