/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

package de.kugihan.dictionaryformids.translation;
import java.util.*;

public class TranslationResult {

	public boolean translationFound; // true if a valid translation was found in the dictionary
	public long numberOfHits;  // indicates how many times a given search expression was found in the dictionary
	public long executionTime; // in ms
	
	public boolean translationBreakOccurred = false; // true if the translation was aborted
	public String  translationBreakReason; // reason why translation was aborted
	public boolean displayBreakReason = false; // true if break reason should be displayed to the user
	
	public Vector translations = new Vector();  // Vector of SingleTranslation
}

